POST api/batchapi/add/loadingstep?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
Required |
Body Parameters
BatchLoadingStepViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
None. |
|
| mediwave_id | globally unique identifier |
Required |
|
| batch_details | Collection of BatchDetailViewModel |
None. |
Request Formats
application/json, text/json
Sample:
{
"id": "1b401d3e-e8bf-42b7-ad8e-9491409f3722",
"mediwave_id": "90155482-5462-4371-97cf-293a0192dcd1",
"batch_details": [
{
"id": "435ccf99-f031-4437-babb-1eb7e18a9edd",
"compartment": 2,
"witness_code": 3,
"unload_time": "2026-03-11T06:51:52.0445345+00:00",
"reference": "sample string 4"
},
{
"id": "435ccf99-f031-4437-babb-1eb7e18a9edd",
"compartment": 2,
"witness_code": 3,
"unload_time": "2026-03-11T06:51:52.0445345+00:00",
"reference": "sample string 4"
}
]
}
application/xml, text/xml
Sample:
<batch_loading_step xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<batch_details>
<batch_detail>
<compartment>2</compartment>
<id>435ccf99-f031-4437-babb-1eb7e18a9edd</id>
<reference>sample string 4</reference>
<unload_time>2026-03-11T06:51:52.0445345+00:00</unload_time>
<witness_code>3</witness_code>
</batch_detail>
<batch_detail>
<compartment>2</compartment>
<id>435ccf99-f031-4437-babb-1eb7e18a9edd</id>
<reference>sample string 4</reference>
<unload_time>2026-03-11T06:51:52.0445345+00:00</unload_time>
<witness_code>3</witness_code>
</batch_detail>
</batch_details>
<id>1b401d3e-e8bf-42b7-ad8e-9491409f3722</id>
<mediwave_id>90155482-5462-4371-97cf-293a0192dcd1</mediwave_id>
</batch_loading_step>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"80ef4729-31f4-488a-9444-a591a1a91e70"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">80ef4729-31f4-488a-9444-a591a1a91e70</guid>